/* BASICS */

.CodeMirror {
  /* Set height, width, borders, and global font properties here */
  font-family: monospace;
  height: 300px;
  color: black;
  direction: ltr;
}

/* PADDING */

.CodeMirror-lines {
  padding: 4px 0; /* Vertical padding around content */
}
.CodeMirror pre.CodeMirror-line,
.CodeMirror pre.CodeMirror-line-like {
  padding: 0 4px; /* Horizontal padding of content */
}

.CodeMirror-scrollbar-filler, .CodeMirror-gutter-filler {
  background-color: white; /* The little square between H and V scrollbars */
}

/* GUTTER */

.CodeMirror-gutters {
  border-right: 1px solid #ddd;
  background-color: #f7f7f7;
  white-space: nowrap;
}
.CodeMirror-linenumbers {}
.CodeMirror-linenumber {
  padding: 0 3px 0 5px;
  min-width: 20px;
  text-align: right;
  color: #999;
  white-space: nowrap;
}

.CodeMirror-guttermarker { color: black; }
.CodeMirror-guttermarker-subtle { color: #999; }

/* CURSOR */

.CodeMirror-cursor {
  border-left: 1px solid black;
  border-right: none;
  width: 0;
}
/* Shown when moving in bi-directional text */
.CodeMirror div.CodeMirror-secondarycursor {
  border-left: 1px solid silver;
}
.cm-fat-cursor .CodeMirror-cursor {
  width: auto;
  border: 0 !important;
  background: #7e7;
}
.cm-fat-cursor div.CodeMirror-cursors {
  z-index: 1;
}
.cm-fat-cursor .CodeMirror-line::selection,
.cm-fat-cursor .CodeMirror-line > span::selection, 
.cm-fat-cursor .CodeMirror-line > span > span::selection { background: transparent; }
.cm-fat-cursor .CodeMirror-line::-moz-selection,
.cm-fat-cursor .CodeMirror-line > span::-moz-selection,
.cm-fat-cursor .CodeMirror-line > span > span::-moz-selection { background: transparent; }
.cm-fat-cursor { caret-color: transparent; }
@-moz-keyframes blink {
  0% {}
  50% { background-color: transparent; }
  100% {}
}
@-webkit-keyframes blink {
  0% {}
  50% { background-color: transparent; }
  100% {}
}
@keyframes blink {
  0% {}
  50% { background-color: transparent; }
  100% {}
}

/* Can style cursor different in overwrite (non-insert) mode */
.CodeMirror-overwrite .CodeMirror-cursor {}

.cm-tab { display: inline-block; text-decoration: inherit; }

.CodeMirror-rulers {
  position: absolute;
  left: 0; right: 0; top: -50px; bottom: 0;
  overflow: hidden;
}
.CodeMirror-ruler {
  border-left: 1px solid #ccc;
  top: 0; bottom: 0;
  position: absolute;
}

/* DEFAULT THEME */

.cm-s-default .cm-header {color: blue;}
.cm-s-default .cm-quote {color: #090;}
.cm-negative {color: #d44;}
.cm-positive {color: #292;}
.cm-header, .cm-strong {font-weight: bold;}
.cm-em {font-style: italic;}
.cm-link {text-decoration: underline;}
.cm-strikethrough {text-decoration: line-through;}

.cm-s-default .cm-keyword {color: #708;}
.cm-s-default .cm-atom {color: #219;}
.cm-s-default .cm-number {color: #164;}
.cm-s-default .cm-def {color: #00f;}
.cm-s-default .cm-variable,
.cm-s-default .cm-punctuation,
.cm-s-default .cm-property,
.cm-s-default .cm-operator {}
.cm-s-default .cm-variable-2 {color: #05a;}
.cm-s-default .cm-variable-3, .cm-s-default .cm-type {color: #085;}
.cm-s-default .cm-comment {color: #a50;}
.cm-s-default .cm-string {color: #a11;}
.cm-s-default .cm-string-2 {color: #f50;}
.cm-s-default .cm-meta {color: #555;}
.cm-s-default .cm-qualifier {color: #555;}
.cm-s-default .cm-builtin {color: #30a;}
.cm-s-default .cm-bracket {color: #997;}
.cm-s-default .cm-tag {color: #170;}
.cm-s-default .cm-attribute {color: #00c;}
.cm-s-default .cm-hr {color: #999;}
.cm-s-default .cm-link {color: #00c;}

.cm-s-default .cm-error {color: #f00;}
.cm-invalidchar {color: #f00;}

.CodeMirror-composing { border-bottom: 2px solid; }

/* Default styles for common addons */

div.CodeMirror span.CodeMirror-matchingbracket {color: #0b0;}
div.CodeMirror span.CodeMirror-nonmatchingbracket {color: #a22;}
.CodeMirror-matchingtag { background: rgba(255, 150, 0, .3); }
.CodeMirror-activeline-background {background: #e8f2ff;}

/* STOP */

/* The rest of this file contains styles related to the mechanics of
   the editor. You probably shouldn't touch them. */

.CodeMirror {
  position: relative;
  overflow: hidden;
  background: white;
}

.CodeMirror-scroll {
  overflow: scroll !important; /* Things will break if this is overridden */
  /* 50px is the magic margin used to hide the element's real scrollbars */
  /* See overflow: hidden in .CodeMirror */
  margin-bottom: -50px; margin-right: -50px;
  padding-bottom: 50px;
  height: 100%;
  outline: none; /* Prevent dragging from highlighting the element */
  position: relative;
  z-index: 0;
}
.CodeMirror-sizer {
  position: relative;
  border-right: 50px solid transparent;
}

/* The fake, visible scrollbars. Used to force redraw during scrolling
   before actual scrolling happens, thus preventing shaking and
   flickering artifacts. */
.CodeMirror-vscrollbar, .CodeMirror-hscrollbar, .CodeMirror-scrollbar-filler, .CodeMirror-gutter-filler {
  position: absolute;
  z-index: 6;
  display: none;
  outline: none;
}
.CodeMirror-vscrollbar {
  right: 0; top: 0;
  overflow-x: hidden;
  overflow-y: scroll;
}
.CodeMirror-hscrollbar {
  bottom: 0; left: 0;
  overflow-y: hidden;
  overflow-x: scroll;
}
.CodeMirror-scrollbar-filler {
  right: 0; bottom: 0;
}
.CodeMirror-gutter-filler {
  left: 0; bottom: 0;
}

.CodeMirror-gutters {
  position: absolute; left: 0; top: 0;
  min-height: 100%;
  z-index: 3;
}
.CodeMirror-gutter {
  white-space: normal;
  height: 100%;
  display: inline-block;
  vertical-align: top;
  margin-bottom: -50px;
}
.CodeMirror-gutter-wrapper {
  position: absolute;
  z-index: 4;
  background: none !important;
  border: none !important;
}
.CodeMirror-gutter-background {
  position: absolute;
  top: 0; bottom: 0;
  z-index: 4;
}
.CodeMirror-gutter-elt {
  position: absolute;
  cursor: default;
  z-index: 4;
}
.CodeMirror-gutter-wrapper ::selection { background-color: transparent }
.CodeMirror-gutter-wrapper ::-moz-selection { background-color: transparent }

.CodeMirror-lines {
  cursor: text;
  min-height: 1px; /* prevents collapsing before first draw */
}
.CodeMirror pre.CodeMirror-line,
.CodeMirror pre.CodeMirror-line-like {
  /* Reset some styles that the rest of the page might have set */
  -moz-border-radius: 0; -webkit-border-radius: 0; border-radius: 0;
  border-width: 0;
  background: transparent;
  font-family: inherit;
  font-size: inherit;
  margin: 0;
  white-space: pre;
  word-wrap: normal;
  line-height: inherit;
  color: inherit;
  z-index: 2;
  position: relative;
  overflow: visible;
  -webkit-tap-highlight-color: transparent;
  -webkit-font-variant-ligatures: contextual;
  font-variant-ligatures: contextual;
}
.CodeMirror-wrap pre.CodeMirror-line,
.CodeMirror-wrap pre.CodeMirror-line-like {
  word-wrap: break-word;
  white-space: pre-wrap;
  word-break: normal;
}

.CodeMirror-linebackground {
  position: absolute;
  left: 0; right: 0; top: 0; bottom: 0;
  z-index: 0;
}

.CodeMirror-linewidget {
  position: relative;
  z-index: 2;
  padding: 0.1px; /* Force widget margins to stay inside of the container */
}

.CodeMirror-widget {}

.CodeMirror-rtl pre { direction: rtl; }

.CodeMirror-code {
  outline: none;
}

/* Force content-box sizing for the elements where we expect it */
.CodeMirror-scroll,
.CodeMirror-sizer,
.CodeMirror-gutter,
.CodeMirror-gutters,
.CodeMirror-linenumber {
  -moz-box-sizing: content-box;
  box-sizing: content-box;
}

.CodeMirror-measure {
  position: absolute;
  width: 100%;
  height: 0;
  overflow: hidden;
  visibility: hidden;
}

.CodeMirror-cursor {
  position: absolute;
  pointer-events: none;
}
.CodeMirror-measure pre { position: static; }

div.CodeMirror-cursors {
  visibility: hidden;
  position: relative;
  z-index: 3;
}
div.CodeMirror-dragcursors {
  visibility: visible;
}

.CodeMirror-focused div.CodeMirror-cursors {
  visibility: visible;
}

.CodeMirror-selected { background: #d9d9d9; }
.CodeMirror-focused .CodeMirror-selected { background: #d7d4f0; }
.CodeMirror-crosshair { cursor: crosshair; }
.CodeMirror-line::selection, .CodeMirror-line > span::selection, .CodeMirror-line > span > span::selection { background: #d7d4f0; }
.CodeMirror-line::-moz-selection, .CodeMirror-line > span::-moz-selection, .CodeMirror-line > span > span::-moz-selection { background: #d7d4f0; }

.cm-searching {
  background-color: #ffa;
  background-color: rgba(255, 255, 0, .4);
}

/* Used to force a border model for a node */
.cm-force-border { padding-right: .1px; }

@media print {
  /* Hide the cursor when printing */
  .CodeMirror div.CodeMirror-cursors {
    visibility: hidden;
  }
}

/* See issue #2901 */
.cm-tab-wrap-hack:after { content: ''; }

/* Help users use markselection to safely style text background */
span.CodeMirror-selectedtext { background: none; }

.CodeMirror-dialog {
  position: absolute;
  left: 0; right: 0;
  background: inherit;
  z-index: 15;
  padding: .1em .8em;
  overflow: hidden;
  color: inherit;
}

.CodeMirror-dialog-top {
  border-bottom: 1px solid #eee;
  top: 0;
}

.CodeMirror-dialog-bottom {
  border-top: 1px solid #eee;
  bottom: 0;
}

.CodeMirror-dialog input {
  border: none;
  outline: none;
  background: transparent;
  width: 20em;
  color: inherit;
  font-family: monospace;
}

.CodeMirror-dialog button {
  font-size: 70%;
}

/* neo theme for codemirror */

/* Color scheme */

.cm-s-neo.CodeMirror {
  background-color:#ffffff;
  color:#2e383c;
  line-height:1.4375;
}
.cm-s-neo .cm-comment { color:#75787b; }
.cm-s-neo .cm-keyword, .cm-s-neo .cm-property { color:#1d75b3; }
.cm-s-neo .cm-atom,.cm-s-neo .cm-number { color:#75438a; }
.cm-s-neo .cm-node,.cm-s-neo .cm-tag { color:#9c3328; }
.cm-s-neo .cm-string { color:#b35e14; }
.cm-s-neo .cm-variable,.cm-s-neo .cm-qualifier { color:#047d65; }


/* Editor styling */

.cm-s-neo pre {
  padding:0;
}

.cm-s-neo .CodeMirror-gutters {
  border:none;
  border-right:10px solid transparent;
  background-color:transparent;
}

.cm-s-neo .CodeMirror-linenumber {
  padding:0;
  color:#e0e2e5;
}

.cm-s-neo .CodeMirror-guttermarker { color: #1d75b3; }
.cm-s-neo .CodeMirror-guttermarker-subtle { color: #e0e2e5; }

.cm-s-neo .CodeMirror-cursor {
  width: auto;
  border: 0;
  background: rgba(155,157,162,0.37);
  z-index: 1;
}

/* jetbrains-mono-cyrillic-ext-wght-normal */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: normal;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/d539db020336f57425d6.woff2) format('woff2-variations');
  unicode-range: U+0460-052F,U+1C80-1C8A,U+20B4,U+2DE0-2DFF,U+A640-A69F,U+FE2E-FE2F;
}

/* jetbrains-mono-cyrillic-wght-normal */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: normal;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/37ac7420bb0322435b68.woff2) format('woff2-variations');
  unicode-range: U+0301,U+0400-045F,U+0490-0491,U+04B0-04B1,U+2116;
}

/* jetbrains-mono-greek-wght-normal */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: normal;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/37f52feea3c5bd1fd627.woff2) format('woff2-variations');
  unicode-range: U+0370-0377,U+037A-037F,U+0384-038A,U+038C,U+038E-03A1,U+03A3-03FF;
}

/* jetbrains-mono-vietnamese-wght-normal */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: normal;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/b8c38c3c8fb199cde7e7.woff2) format('woff2-variations');
  unicode-range: U+0102-0103,U+0110-0111,U+0128-0129,U+0168-0169,U+01A0-01A1,U+01AF-01B0,U+0300-0301,U+0303-0304,U+0308-0309,U+0323,U+0329,U+1EA0-1EF9,U+20AB;
}

/* jetbrains-mono-latin-ext-wght-normal */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: normal;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/d4c248b90e9a0c38ac4c.woff2) format('woff2-variations');
  unicode-range: U+0100-02BA,U+02BD-02C5,U+02C7-02CC,U+02CE-02D7,U+02DD-02FF,U+0304,U+0308,U+0329,U+1D00-1DBF,U+1E00-1E9F,U+1EF2-1EFF,U+2020,U+20A0-20AB,U+20AD-20C0,U+2113,U+2C60-2C7F,U+A720-A7FF;
}

/* jetbrains-mono-latin-wght-normal */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: normal;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/6724bbc0741b07b1d0b2.woff2) format('woff2-variations');
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+0304,U+0308,U+0329,U+2000-206F,U+20AC,U+2122,U+2191,U+2193,U+2212,U+2215,U+FEFF,U+FFFD;
}
/* jetbrains-mono-cyrillic-ext-wght-italic */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: italic;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/c3311d1c1d6dd41632e5.woff2) format('woff2-variations');
  unicode-range: U+0460-052F,U+1C80-1C8A,U+20B4,U+2DE0-2DFF,U+A640-A69F,U+FE2E-FE2F;
}

/* jetbrains-mono-cyrillic-wght-italic */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: italic;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/d02bdb96147c8187da90.woff2) format('woff2-variations');
  unicode-range: U+0301,U+0400-045F,U+0490-0491,U+04B0-04B1,U+2116;
}

/* jetbrains-mono-greek-wght-italic */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: italic;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/f4fdf00479efe9c1739d.woff2) format('woff2-variations');
  unicode-range: U+0370-0377,U+037A-037F,U+0384-038A,U+038C,U+038E-03A1,U+03A3-03FF;
}

/* jetbrains-mono-vietnamese-wght-italic */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: italic;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/799ce61b37f9505ea12e.woff2) format('woff2-variations');
  unicode-range: U+0102-0103,U+0110-0111,U+0128-0129,U+0168-0169,U+01A0-01A1,U+01AF-01B0,U+0300-0301,U+0303-0304,U+0308-0309,U+0323,U+0329,U+1EA0-1EF9,U+20AB;
}

/* jetbrains-mono-latin-ext-wght-italic */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: italic;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/9e9293376bc18a7073c5.woff2) format('woff2-variations');
  unicode-range: U+0100-02BA,U+02BD-02C5,U+02C7-02CC,U+02CE-02D7,U+02DD-02FF,U+0304,U+0308,U+0329,U+1D00-1DBF,U+1E00-1E9F,U+1EF2-1EFF,U+2020,U+20A0-20AB,U+20AD-20C0,U+2113,U+2C60-2C7F,U+A720-A7FF;
}

/* jetbrains-mono-latin-wght-italic */
@font-face {
  font-family: 'JetBrains Mono Variable';
  font-style: italic;
  font-display: swap;
  font-weight: 100 800;
  src: url(/playroom/f8ed99bc0e41dc66e103.woff2) format('woff2-variations');
  unicode-range: U+0000-00FF,U+0131,U+0152-0153,U+02BB-02BC,U+02C6,U+02DA,U+02DC,U+0304,U+0308,U+0329,U+2000-206F,U+20AC,U+2122,U+2191,U+2193,U+2212,U+2215,U+FEFF,U+FFFD;
}
._5kw3p0 {
  background-color: var(--_17o8sd6n);
}
._5kw3p2 {
  background-color: var(--_17o8sd6j);
  color: var(--_17o8sd6a);
  min-width: 50px;
}
._5kw3p3 {
  opacity: 1;
}
._5kw3p5 {
  width: 1em;
}
._5kw3p6::after {
  content: "-";
}
._5kw3p7::after {
  content: "+";
  opacity: 1;
}
.react-codemirror2 {
  height: 100%;
}
.CodeMirror {
  height: 100%;
  width: 100%;
  font-family: var(--_1bpha6d1);
  position: relative;
  z-index: 0;
}
.CodeMirror-gutters {
  box-sizing: border-box;
  padding-left: var(--_1bpha6di);
}
.CodeMirror pre, .CodeMirror-linenumber {
  font-size: 16px;
}
.CodeMirror-lines {
  padding: var(--_1bpha6dl) 0;
}
.CodeMirror-hints {
  position: absolute;
  z-index: 10;
  overflow: hidden;
  list-style: none;
  margin: 0;
  padding: var(--_1bpha6dh);
  box-shadow: var(--_17o8sd6v);
  border-radius: var(--_1bpha6d9);
  background-color: var(--_17o8sd6m);
  border: 1px solid var(--_17o8sd6r);
  font-size: 14px;
  line-height: 24px;
  font-family: var(--_1bpha6d1);
  max-height: 20em;
  overflow-y: auto;
}
.CodeMirror-hint {
  margin: 0;
  padding: var(--_1bpha6di) var(--_1bpha6dj);
  border-radius: var(--_1bpha6d8);
  white-space: pre;
  color: var(--_17o8sd60);
  cursor: default;
  height: var(--_1bpha6dr);
  display: flex;
  align-items: center;
  position: relative;
  box-sizing: border-box;
}
.CodeMirror-hint::before {
  content: "";
  pointer-events: none;
  position: absolute;
  inset: 0;
  border-radius: var(--_1bpha6d8);
  z-index: -1;
  background-color: var(--_17o8sd6n);
  opacity: 0;
}
.CodeMirror-hint-active::before {
  opacity: 1;
}
.CodeMirror-linenumbers {
  min-width: 50px;
}
.CodeMirror-foldmarker {
  color: var(--_17o8sd6b);
  font-family: arial;
  cursor: default;
  padding: 0 var(--_1bpha6di);
}
.cm-s-neo.CodeMirror {
  background-color: var(--_17o8sd6l);
  color: var(--_17o8sd60);
}
.cm-s-neo.CodeMirror::after {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  width: 20px;
  background: linear-gradient(90deg, transparent, var(--_17o8sd6l));
  right: 0;
  pointer-events: none;
}
.CodeMirror-scroll {
  padding-right: 20px;
}
.cm-s-neo .CodeMirror-cursor {
  background-color: var(--_17o8sd67);
  width: 2px;
}
.cm-s-neo .CodeMirror-gutters {
  background-color: var(--_17o8sd6l);
  border: none;
}
.cm-s-neo .CodeMirror-gutters::after {
  content: "";
  background-color: var(--_17o8sd6l);
  position: absolute;
  right: var(--_1bpha6dh);
  height: 100%;
  box-shadow: 0 0 10px 5px var(--_17o8sd6l);
}
.cm-s-neo .CodeMirror-selected {
  background: var(--_17o8sd6p);
}
.cm-s-neo .CodeMirror-activeline-background {
  background: transparent;
}
.cm-s-neo .CodeMirror-guttermarker-subtle {
  display: flex;
  justify-content: center;
  color: var(--_17o8sd67);
  transition: var(--_1bpha6df);
}
.cm-s-neo .CodeMirror-guttermarker-subtle:not(:hover):not(._5kw3p7) {
  color: var(--_17o8sd67);
  opacity: 0.4;
}
.cm-s-neo .CodeMirror-linenumber {
  min-width: 50px;
  color: var(--_17o8sd67);
  transition: var(--_1bpha6df);
}
.cm-s-neo .CodeMirror-linenumber:not(:hover):not(.cm-s-neo .CodeMirror-activeline .CodeMirror-linenumber) {
  opacity: 0.4;
}
.cm-s-neo .cm-tag {
  color: var(--_17o8sd61);
}
.cm-s-neo .cm-attribute,.cm-s-neo .cm-keyword,.cm-s-neo .cm-property {
  color: var(--_17o8sd62);
}
.cm-s-neo .cm-string {
  color: var(--_17o8sd63);
}
.cm-s-neo .cm-atom {
  color: var(--_17o8sd64);
}
.cm-s-neo .cm-variable {
  color: var(--_17o8sd65);
}
.cm-s-neo .cm-number {
  color: var(--_17o8sd66);
}
.CodeMirror-dialog {
  padding-left: var(--_1bpha6dl);
  padding-right: var(--_1bpha6dl);
  min-height: var(--_1bpha6dc);
  border-bottom: 1px solid var(--_17o8sd6r);
  display: flex;
  align-items: center;
}
.CodeMirror-scroll {
  transition: var(--_1bpha6df);
}
.dialog-opened .CodeMirror-scroll {
  transform: translateY(var(--_1bpha6dc));
}
.dialog-opened .CodeMirror-lines {
  padding-bottom: var(--_1bpha6dc);
}
.CodeMirror-dialog input {
  font: var(--_1bpha6d5);
  font-family: var(--_1bpha6d1);
  height: var(--_1bpha6dc);
  flex-grow: 1;
}
.CodeMirror-search-hint {
  display: none;
}
.CodeMirror-search-label {
  display: flex;
  align-items: center;
  min-height: var(--_1bpha6dc);
  font: var(--_1bpha6d5);
  font-family: var(--_1bpha6d1);
}
.CodeMirror-search-field {
  padding-left: var(--_1bpha6dl);
}
label.CodeMirror-search-label {
  flex-grow: 1;
}
.dialog-opened.cm-s-neo .CodeMirror-selected {
  background: var(--_17o8sd6p);
}
.cm-overlay.cm-searching {
  padding-top: var(--_1bpha6dh);
  padding-bottom: var(--_1bpha6dh);
  background: var(--_17o8sd6p);
}
.CodeMirror-dialog button:first-of-type {
  margin-left: var(--_1bpha6dl);
}
.CodeMirror-dialog button {
  appearance: none;
  font: var(--_1bpha6d4);
  font-family: var(--_1bpha6d0);
  margin-left: var(--_1bpha6dj);
  padding-top: var(--_1bpha6di);
  padding-bottom: var(--_1bpha6di);
  padding-left: var(--_1bpha6dk);
  padding-right: var(--_1bpha6dk);
  align-self: center;
  display: block;
  background: none;
  border-radius: var(--_1bpha6d9);
  cursor: default;
  border: 1px solid var(--_17o8sd6r);
}
.CodeMirror-dialog button:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 0;
}
.CodeMirror-dialog button:hover {
  background: var(--_17o8sd6n);
}
._148lmj72 {
  width: fit-content;
  max-width: 80ex;
  background: var(--_17o8sd6m);
  box-shadow: 0 2px 10px -2px hsla(358, 66%, 48%, 1);
  word-break: break-word;
  white-space: pre-line;
  outline: 1px solid hsla(358, 66%, 48%, 1);
}
._148lmj72:not(._148lmj70) {
  transform: translateY(var(--_1bpha6dj));
  transition: none;
  opacity: 0;
}
._148lmj74 {
  transition-delay: calc(var(--_148lmj73) * 1ms);
}
._148lmj78 {
  background: hsla(358, 66%, 48%, 1);
  color: hsla(0, 0%, 93%, 1);
  height: var(--_1bpha6dq);
}
._148lmj78:active:not([disabled]) {
  transform: scale(0.97);
}
.sb6agv0 {
  color: var(--_17o8sd69);
}
@keyframes xd3a5mk {
  to {
    opacity: 1;
    transform: scale(1);
  }
}
.xd3a5m2 {
  position: relative;
}
.xd3a5m2::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  height: 1px;
  background-color: var(--_17o8sd6r);
}
.xd3a5m4 {
  color: var(--_17o8sd67);
  height: var(--_1bpha6dc);
  background: transparent;
  box-shadow: none;
}
.xd3a5m4:focus-visible {
  outline: none;
  box-shadow: none;
}
.xd3a5m4::placeholder {
  color: var(--_17o8sd69);
}
.xd3a5m4::-webkit-search-cancel-button {
  -webkit-appearance: none;
}
.xd3a5m4::-webkit-search-decoration {
  -webkit-appearance: none;
}
.xd3a5m4::-ms-clear {
  display: none;
}
.xd3a5m4::-ms-reveal {
  display: none;
}
.xd3a5m6 {
  list-style: none;
  height: 300px;
}
.xd3a5m7 {
  scroll-padding-top: var(--_1bpha6ds);
}
.xd3a5m9 > [cmdk-group-heading] {
  position: sticky;
  top: 0;
  z-index: 1;
}
.xd3a5mb {
  backdrop-filter: blur(6px);
  border-bottom: 1px solid var(--_17o8sd6r);
}
.xd3a5mb::before {
  content: "";
  position: absolute;
  inset: 0;
  background: var(--_17o8sd6l);
  opacity: 0.8;
  z-index: -1;
  isolation: isolate;
}
.xd3a5md {
  border-bottom: 1px solid var(--_17o8sd6r);
}
.xd3a5mf {
  color: var(--_17o8sd67);
  isolation: isolate;
  cursor: default;
  scroll-margin-block: var(--_1bpha6di);
  height: var(--_1bpha6ds);
}
.xd3a5mf::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: var(--_1bpha6di);
  right: var(--_1bpha6di);
  background-color: var(--_17o8sd6n);
  border-radius: var(--_1bpha6d8);
  opacity: 0;
  pointer-events: none;
  z-index: -1;
}
.xd3a5mf[data-selected="true"] {
  color: var(--_17o8sd6b);
}
.xd3a5mf[data-selected="true"]::before {
  opacity: 1;
}
.xd3a5m7 .xd3a5mf {
  scroll-margin-top: calc((var(--_1bpha6di) + 1px) * 2);
}
.xd3a5mm {
  transform: scale(0.97);
  opacity: 0;
  animation: xd3a5mk 80ms ease-out forwards;
}
.xd3a5mn {
  width: min(350px, 90vw);
}
.xd3a5mp {
  min-width: 0;
}
._11o87iw1 {
  background-color: var(--_17o8sd6m);
  outline: 1px solid var(--_17o8sd6r);
}
._11o87iw3 {
  background: transparent;
  height: var(--_1bpha6dr);
  color: var(--_17o8sd67);
}
._11o87iw3:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 2px;
}
._11o87iw3:hover, ._11o87iw3[data-popup-open] {
  background-color: var(--_17o8sd6n);
}
._11o87iw3[aria-disabled="true"] {
  opacity: 0.5;
  cursor: not-allowed;
}
._11o87iw3[aria-disabled="true"]:hover {
  background-color: transparent;
}
.td2hs42 {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  gap: var(--td2hs40);
  align-items: var(--td2hs41);
}
.td2hs43 {
  --td2hs40: var(--_1bpha6dg);
}
.td2hs44 {
  --td2hs40: var(--_1bpha6dh);
}
.td2hs45 {
  --td2hs40: var(--_1bpha6di);
}
.td2hs46 {
  --td2hs40: var(--_1bpha6dj);
}
.td2hs47 {
  --td2hs40: var(--_1bpha6dk);
}
.td2hs48 {
  --td2hs40: var(--_1bpha6dl);
}
.td2hs49 {
  --td2hs40: var(--_1bpha6dm);
}
.td2hs4a {
  --td2hs40: var(--_1bpha6dn);
}
.td2hs4b {
  --td2hs40: var(--_1bpha6do);
}
.td2hs4c {
  --td2hs40: var(--_1bpha6dp);
}
.td2hs4d {
  align-items: flex-start;
}
.td2hs4e {
  align-items: center;
}
.td2hs4f {
  align-items: flex-end;
}
.td2hs4g > * {
  flex-basis: auto;
  width: auto;
}
._1og87vb1 {
  background: radial-gradient(var(--_17o8sd6l) 20%, transparent 50%);
  justify-content: safe center;
}
._1og87vb3 {
  max-width: 400px;
}
._1og87vb5 {
  background: transparent;
}
._1og87vb5:focus-visible {
  outline: 2px solid var(--_17o8sd6u);
  outline-offset: 6px;
}
._141qb060 {
  cursor: row-resize;
}
._141qb061 {
  cursor: col-resize;
}
._141qb066 {
  transform: translateY(-50%);
  z-index: 2;
}
._141qb066::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 0;
  right: 0;
  height: 1px;
  transform: translateY(-1px);
  transition: background-color 100ms ease;
}
._141qb066._141qb063::before {
  background: var(--_17o8sd6e);
}
._141qb066:not(._141qb063):hover::before {
  background: var(--_17o8sd6e);
  transition-delay: 200ms;
}
._141qb067 {
  z-index: 2;
}
._141qb067::before {
  content: "";
  position: absolute;
  top: 0;
  bottom: 0;
  left: 50%;
  width: 1px;
  transform: translateX(-50%);
  transition: background-color 100ms ease;
}
._141qb067._141qb063::before {
  background: var(--_17o8sd6e);
}
._141qb067:not(._141qb063):hover::before {
  background: var(--_17o8sd6e);
  transition-delay: 200ms;
}
._141qb069 {
  transform: translateX(50%);
}
._141qb06b {
  transform: translateX(-50%);
}
._141qb06d {
  background: var(--_17o8sd6m);
  outline: 1px solid var(--_17o8sd6r);
  outline-offset: -1px;
  transition: outline-color 100ms ease;
}
._141qb06d::after {
  content: "";
  position: absolute;
  inset: 0;
  border-radius: inherit;
  transition: background-color 100ms ease;
}
._141qb063 ._141qb06d {
  outline-color: var(--_17o8sd6e);
}
._141qb063 ._141qb06d::after {
  background: var(--_17o8sd6e);
}
:is(._141qb066, ._141qb067):not(._141qb063):hover ._141qb06d {
  outline-color: var(--_17o8sd6e);
  transition-delay: 200ms;
}
:is(._141qb066, ._141qb067):not(._141qb063):hover ._141qb06d::after {
  transition-delay: 200ms;
}
._141qb06e {
  width: 38px;
  height: 8px;
}
._141qb06f {
  width: 8px;
  height: 38px;
}
html, body {
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: var(--_17o8sd6k);
  scrollbar-color: var(--_17o8sd6r) transparent;
}
html[data-playroom-dark] {
  color-scheme: dark;
}
._100hal80 {
  pointer-events: none;
  user-select: none;
}
._100hal85 {
  display: grid;
  grid-template-columns: var(--_100hal82, 0px) 1fr;
  grid-template-rows: min-content auto var(--_100hal81, 0px);
  isolation: isolate;
}
._100hal86 {
  --_100hal81: clamp(150px, var(--_100hal83), 70vh);
  grid-template-areas: "header header"
"frames frames"
"editor editor";
}
._100hal87 {
  --_100hal82: clamp(300px, var(--_100hal83), 90vw);
  grid-template-areas: "header header"
"editor frames"
"editor frames";
}
._100hal88 {
  grid-area: header;
  z-index: 1;
  outline: 1px solid var(--_17o8sd6r);
}
._100hal89 {
  grid-area: frames;
}
._100hal8a {
  grid-area: editor;
  outline: 1px solid var(--_17o8sd6r);
}
._100hal8e {
  left: var(--_1bpha6dl);
  right: var(--_1bpha6dl);
  bottom: var(--_1bpha6dl);
  width: fit-content;
  margin-inline: auto;
}
._100hal8g {
  backdrop-filter: blur(2px);
}
._100hal8g::before {
  content: "";
  position: absolute;
  inset: 1px;
  pointer-events: none;
  background: var(--_17o8sd6m);
  border-radius: calc(var(--_1bpha6da) - 2px);
  opacity: 0.8;
}
._100hal8g::after {
  content: "";
  position: absolute;
  inset: 0;
  pointer-events: none;
  border-radius: calc(var(--_1bpha6da) - 2px);
  outline: 2px solid var(--_17o8sd6r);
  outline-offset: -2px;
}
._100hal8i {
  background: var(--_17o8sd6l);
  box-shadow: 0 0 4px 2px var(--_17o8sd6l);
}
